<?
include "../config.inc";

// Open database...
$db = mysql_connect("localhost", "$databaseuser", "$databasepasswd");
mysql_select_db("$databasename",$db);


// Get affiliate information from database...
$sql="SELECT * FROM affiliate WHERE user='$user'";
$result = mysql_query("$sql",$db);
if (mysql_num_rows($result) == 0) {
  header("Location:error3.html");
  exit;
}


// Store affiliate information in variables...
$firstname = mysql_result($result, 0, "firstname");
$lastname = mysql_result($result, 0, "lastname");
$affiliateid = mysql_result($result, 0, "affiliateid");
$correctpasswd = mysql_result($result, 0, "password");


// Check password...
if($password!=$correctpasswd) {
  header("Location:error3.html");
  exit;
}

// Reset statistics...
$click = 0;
$order = 0;
$provision = 0;
$ourdebt = 0;

// Get statistics from database...
$sql="SELECT * FROM affiliatestats WHERE affiliateid='$affiliateid'";
$result = mysql_query("$sql",$db);
if (mysql_num_rows($result) != 0) {
  $click = mysql_result($result, 0, "clicks");
  $order = mysql_result($result, 0, "orders");
}

$sql="SELECT price FROM orders, orderaffiliate WHERE orderaffiliate.affiliateid='$affiliateid' AND orderaffiliate.orderid=orders.orderid";
$result = mysql_query("$sql",$db);
if (mysql_num_rows($result) != 0) {
  for ($i = 0; $i < mysql_num_rows($result);$i++) {
    $provision += mysql_result($result, $i, "price");
  }
  $provision *= 0.75;
  $provision *= 0.1;
  $sql="SELECT payed FROM affiliate WHERE affiliateid='$affiliateid'";
  $result = mysql_query("$sql",$db);
  if (mysql_num_rows($result) != 0) {
    $ourdebt = $provision - mysql_result($result, 0, "payed");
  }
}

// Close database...

mysql_close($db);


// Show affiliate page in browser...
echo "<html>\n
	<head>\n
	<title>Партнерская статистика и ссылки для: $firstname $lastname</title>\n
	</head>\n
	<body bgcolor=\"#FFFFFF\" text=\"#000000\">\n
	<center>
  	<a href=\"../main.php\"><img src=\"../images/logo.gif\" width=\"208\" height=\"67\" border=\"0\" alt=\"$ashopname\"></a><br>\n
	<font face=\"Arial, Helvetica, sans-serif\"><font size=\"2\">\n
	<H1><font size=\"4\">Добро пожаловать $firstname $lastname!</font></H1>\n
	<H2>Статистика:</H2>
	<p>Количество кликов с вашей страницы: $click</p>
	<p>Количество заказов с вашей страницы: $order</p>
	<p>Вы заработали всего: $provision</p>
	<p>Мы в данный момент должны вам: $ourdebt</p>
	<H2>Ссылки:</H2>
	<p>Скопируйте одну из приведенных ссылок и установите ее на ваш сайт 
для того, чтобы начать зарабатывать деньги...</p>
	<p><b>HTML код</b></p>
	<p><textarea cols=50 rows=5>&lt;a href=\"$ashopurl?id=$affiliateid\"&gt;$ashopname&lt/a&gt;
    </textarea><p>
	</font></font>
	</center>
	</body>
	</html>";
?>
